hspec-2.4.4: A Testing Framework for Haskell

Safe Haskell | None
Language | Haskell2010

Test.Hspec.HUnit

Contents

- Interoperability with HUnit

Description

Deprecated: use Test.Hspec.Contrib.HUnit from package `hspec-contrib` instead

Synopsis

- fromHUnitTest :: Test -> Spec

# Interoperability with HUnit

fromHUnitTest :: Test -> Spec Source #

Convert a HUnit test suite to a spec. This can be used to run existing HUnit tests with Hspec.